//+------------------------------------------------------------------+
//|                                                    #EBurovni.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      ""

#property indicator_chart_window


extern int DAYS = 5;

extern int ur0 = 13;
extern int ur1 = 34;
extern int ur2 = 55;
extern int ur3 = 89;
extern int ur4 = 144;


extern color TOc = Red;
extern color V = Blue;
extern color N = Blue;
extern color PR = Moccasin;

extern int width = 1;

datetime tn;

int      shift;
double TOz;
 

string indicator_name = "TO_ur";

static datetime prevtime=0;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
string l_name_8;
int l_count_16 = 0;
int l_objs_total_4 = ObjectsTotal();
for (int li_0 = l_objs_total_4 - 1; li_0 >= 0; li_0--) {
// l_name_8 = ObjectName(indicator_name);
//==========
l_name_8 = ObjectName(li_0); //        
//==========
// if (StringFind(l_name_8, indicator_name) == 0)
//===========
if (StringFind(l_name_8, indicator_name,0) == 0) { //      0
//===========
ObjectDelete(l_name_8);
l_count_16++;
}
}
return (0);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
 string l_name_8;
int l_count_16 = 0;
int l_objs_total_4 = ObjectsTotal();
for (int li_0 = l_objs_total_4 - 1; li_0 >= 0; li_0--) {
l_name_8 = ObjectName(li_0);
if (StringFind(l_name_8, indicator_name,0) == 0) {
ObjectDelete(l_name_8);
l_count_16++;
}
}
return (0);  
//----
   
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  ///   
 /*  if( prevtime == Time[0]) return(0);
   prevtime = Time[0];
 
   int    counted_bars=IndicatorCounted();
   currency = StringSubstr( Symbol(),0,6);
*/

string var1=TimeToStr(TimeCurrent(),TIME_DATE);

for (int i=0; i<DAYS; i++)
 {

  tn=StrToTime(var1)-86400*i;
    
    if (TimeDayOfWeek(tn) == 0 || TimeDayOfWeek(tn) == 6) continue;

  shift=iBarShift(NULL,0,tn);
  TOz=iOpen(NULL,0,shift);
 
 if (TimeDayOfWeek(tn) == 1) 
            {
              shift=iBarShift(NULL,0,tn)+1;
              TOz=iClose(NULL,0,shift);
              }

 Comment(TimeToStr(tn,TIME_DATE|TIME_SECONDS), " TO= ", TOz);

 
 
 drawLine(indicator_name+" "+tn+ur1+"V",tn,TOz+ur1*Point,tn+86400,V,ur1);
 drawLine(indicator_name+" "+tn+ur2+"V",tn,TOz+ur2*Point,tn+86400,V,ur2);
 drawLine(indicator_name+" "+tn+ur3+"V",tn,TOz+ur3*Point,tn+86400,V,ur3);
 drawLine(indicator_name+" "+tn+ur4+"V",tn,TOz+ur4*Point,tn+86400,V,ur4);
 
 drawLine(indicator_name+" "+tn+ur1+"N",tn,TOz-ur1*Point,tn+86400,N,ur1);
 drawLine(indicator_name+" "+tn+ur2+"N",tn,TOz-ur2*Point,tn+86400,N,ur2);
 drawLine(indicator_name+" "+tn+ur3+"N",tn,TOz-ur3*Point,tn+86400,N,ur3);
 drawLine(indicator_name+" "+tn+ur4+"N",tn,TOz-ur4*Point,tn+86400,N,ur4);
 ObjectCreate(indicator_name+" "+tn+"TR",OBJ_RECTANGLE,0,tn,TOz+ur0*Point,tn+86400,TOz-ur0*Point);
 ObjectSet(indicator_name+" "+tn+"TR", OBJPROP_COLOR, PR);
 
 drawLine(indicator_name+" "+tn,tn,TOz,tn+86400,TOc,TOz);

   }

   return(0);
  }
//+------------------------------------------------------------------+


void drawLine(string name, datetime time1, double price1, datetime time2, color , string text )
{  
   ObjectCreate(name, OBJ_TREND, 0, time1, price1, time2, price1);
	ObjectSet(name, OBJPROP_COLOR, );
	ObjectSet(name, OBJPROP_BACK, true);
	ObjectSet(name, OBJPROP_STYLE,0);
   ObjectSet(name, OBJPROP_RAY, false);
   ObjectSet(name, OBJPROP_WIDTH, width);
   ObjectSetText(name,text);
      
}